<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'GroupSms' => '\\StructType\\GroupSms',
            'AuthenticationModel' => '\\StructType\\AuthenticationModel',
            'GroupSmsModel' => '\\StructType\\GroupSmsModel',
            'ArrayOfString' => '\\ArrayType\\ArrayOfString',
            'ArrayOfLong' => '\\ArrayType\\ArrayOfLong',
            'GroupSmsResponse' => '\\StructType\\GroupSmsResponse',
            'ReturnSmsResult' => '\\StructType\\ReturnSmsResult',
            'AsyncGroupSms' => '\\StructType\\AsyncGroupSms',
            'AsyncGroupSmsResponse' => '\\StructType\\AsyncGroupSmsResponse',
            'GroupSmsWithPattern' => '\\StructType\\GroupSmsWithPattern',
            'GroupSmsWithPatternModel' => '\\StructType\\GroupSmsWithPatternModel',
            'GroupSmsWithPatternResponse' => '\\StructType\\GroupSmsWithPatternResponse',
            'AsyncGroupSmsWithPattern' => '\\StructType\\AsyncGroupSmsWithPattern',
            'AsyncGroupSmsWithPatternResponse' => '\\StructType\\AsyncGroupSmsWithPatternResponse',
            'PtpSms' => '\\StructType\\PtpSms',
            'PtpSmsModel' => '\\StructType\\PtpSmsModel',
            'PtpSmsResponse' => '\\StructType\\PtpSmsResponse',
            'AsyncPtpSms' => '\\StructType\\AsyncPtpSms',
            'AsyncPtpSmsResponse' => '\\StructType\\AsyncPtpSmsResponse',
            'GetCredit' => '\\StructType\\GetCredit',
            'GetCreditResponse' => '\\StructType\\GetCreditResponse',
            'GetDiscountCredit' => '\\StructType\\GetDiscountCredit',
            'GetDiscountCreditResponse' => '\\StructType\\GetDiscountCreditResponse',
            'GetPanelExpireDate' => '\\StructType\\GetPanelExpireDate',
            'GetPanelExpireDateResponse' => '\\StructType\\GetPanelExpireDateResponse',
            'GetReceiveSms' => '\\StructType\\GetReceiveSms',
            'GetReceiveSmsResponse' => '\\StructType\\GetReceiveSmsResponse',
            'ArrayOfGetReceiveSmsModel' => '\\ArrayType\\ArrayOfGetReceiveSmsModel',
            'GetReceiveSmsModel' => '\\StructType\\GetReceiveSmsModel',
            'ResetReceiveSmsVisitedStatus' => '\\StructType\\ResetReceiveSmsVisitedStatus',
            'ResetReceiveSmsVisitedStatusResponse' => '\\StructType\\ResetReceiveSmsVisitedStatusResponse',
            'GetSmsDelivery' => '\\StructType\\GetSmsDelivery',
            'GetSmsDeliveryResponse' => '\\StructType\\GetSmsDeliveryResponse',
            'ArrayOfSmsStatus' => '\\ArrayType\\ArrayOfSmsStatus',
            'GetSmsDeliveryWithClientId' => '\\StructType\\GetSmsDeliveryWithClientId',
            'GetSmsDeliveryWithClientIdResponse' => '\\StructType\\GetSmsDeliveryWithClientIdResponse',
            'GetSmsDeliveryWithClientIdModel' => '\\StructType\\GetSmsDeliveryWithClientIdModel',
            'GetServertime' => '\\StructType\\GetServertime',
            'GetServertimeResponse' => '\\StructType\\GetServertimeResponse',
            'GetSenderNumbers' => '\\StructType\\GetSenderNumbers',
            'GetSenderNumbersResponse' => '\\StructType\\GetSenderNumbersResponse',
        );
    }
}
