<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AsyncGroupSms StructType
 * @subpackage Structs
 */
class AsyncGroupSms extends AbstractStructBase
{
    /**
     * The callBackId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var int
     */
    public $callBackId;
    /**
     * The security
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\AuthenticationModel
     */
    public $security;
    /**
     * The model
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GroupSmsModel
     */
    public $model;
    /**
     * The callBackUrl
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $callBackUrl;
    /**
     * Constructor method for AsyncGroupSms
     * @uses AsyncGroupSms::setCallBackId()
     * @uses AsyncGroupSms::setSecurity()
     * @uses AsyncGroupSms::setModel()
     * @uses AsyncGroupSms::setCallBackUrl()
     * @param int $callBackId
     * @param \StructType\AuthenticationModel $security
     * @param \StructType\GroupSmsModel $model
     * @param string $callBackUrl
     */
    public function __construct($callBackId = null, \StructType\AuthenticationModel $security = null, \StructType\GroupSmsModel $model = null, $callBackUrl = null)
    {
        $this
            ->setCallBackId($callBackId)
            ->setSecurity($security)
            ->setModel($model)
            ->setCallBackUrl($callBackUrl);
    }
    /**
     * Get callBackId value
     * @return int
     */
    public function getCallBackId()
    {
        return $this->callBackId;
    }
    /**
     * Set callBackId value
     * @param int $callBackId
     * @return \StructType\AsyncGroupSms
     */
    public function setCallBackId($callBackId = null)
    {
        // validation for constraint: int
        if (!is_null($callBackId) && !(is_int($callBackId) || ctype_digit($callBackId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($callBackId, true), gettype($callBackId)), __LINE__);
        }
        $this->callBackId = $callBackId;
        return $this;
    }
    /**
     * Get security value
     * @return \StructType\AuthenticationModel|null
     */
    public function getSecurity()
    {
        return $this->security;
    }
    /**
     * Set security value
     * @param \StructType\AuthenticationModel $security
     * @return \StructType\AsyncGroupSms
     */
    public function setSecurity(\StructType\AuthenticationModel $security = null)
    {
        $this->security = $security;
        return $this;
    }
    /**
     * Get model value
     * @return \StructType\GroupSmsModel|null
     */
    public function getModel()
    {
        return $this->model;
    }
    /**
     * Set model value
     * @param \StructType\GroupSmsModel $model
     * @return \StructType\AsyncGroupSms
     */
    public function setModel(\StructType\GroupSmsModel $model = null)
    {
        $this->model = $model;
        return $this;
    }
    /**
     * Get callBackUrl value
     * @return string|null
     */
    public function getCallBackUrl()
    {
        return $this->callBackUrl;
    }
    /**
     * Set callBackUrl value
     * @param string $callBackUrl
     * @return \StructType\AsyncGroupSms
     */
    public function setCallBackUrl($callBackUrl = null)
    {
        // validation for constraint: string
        if (!is_null($callBackUrl) && !is_string($callBackUrl)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($callBackUrl, true), gettype($callBackUrl)), __LINE__);
        }
        $this->callBackUrl = $callBackUrl;
        return $this;
    }
}
