<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetSmsDeliveryWithClientId StructType
 * @subpackage Structs
 */
class GetSmsDeliveryWithClientId extends AbstractStructBase
{
    /**
     * The yourId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $yourId;
    /**
     * The security
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\AuthenticationModel
     */
    public $security;
    /**
     * Constructor method for GetSmsDeliveryWithClientId
     * @uses GetSmsDeliveryWithClientId::setYourId()
     * @uses GetSmsDeliveryWithClientId::setSecurity()
     * @param int $yourId
     * @param \StructType\AuthenticationModel $security
     */
    public function __construct($yourId = null, \StructType\AuthenticationModel $security = null)
    {
        $this
            ->setYourId($yourId)
            ->setSecurity($security);
    }
    /**
     * Get yourId value
     * @return int
     */
    public function getYourId()
    {
        return $this->yourId;
    }
    /**
     * Set yourId value
     * @param int $yourId
     * @return \StructType\GetSmsDeliveryWithClientId
     */
    public function setYourId($yourId = null)
    {
        // validation for constraint: int
        if (!is_null($yourId) && !(is_int($yourId) || ctype_digit($yourId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($yourId, true), gettype($yourId)), __LINE__);
        }
        $this->yourId = $yourId;
        return $this;
    }
    /**
     * Get security value
     * @return \StructType\AuthenticationModel|null
     */
    public function getSecurity()
    {
        return $this->security;
    }
    /**
     * Set security value
     * @param \StructType\AuthenticationModel $security
     * @return \StructType\GetSmsDeliveryWithClientId
     */
    public function setSecurity(\StructType\AuthenticationModel $security = null)
    {
        $this->security = $security;
        return $this;
    }
}
