<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ResetReceiveSmsVisitedStatus StructType
 * @subpackage Structs
 */
class ResetReceiveSmsVisitedStatus extends AbstractStructBase
{
    /**
     * The startDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var string
     */
    public $startDate;
    /**
     * The endDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var string
     */
    public $endDate;
    /**
     * The security
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\AuthenticationModel
     */
    public $security;
    /**
     * Constructor method for ResetReceiveSmsVisitedStatus
     * @uses ResetReceiveSmsVisitedStatus::setStartDate()
     * @uses ResetReceiveSmsVisitedStatus::setEndDate()
     * @uses ResetReceiveSmsVisitedStatus::setSecurity()
     * @param string $startDate
     * @param string $endDate
     * @param \StructType\AuthenticationModel $security
     */
    public function __construct($startDate = null, $endDate = null, \StructType\AuthenticationModel $security = null)
    {
        $this
            ->setStartDate($startDate)
            ->setEndDate($endDate)
            ->setSecurity($security);
    }
    /**
     * Get startDate value
     * @return string
     */
    public function getStartDate()
    {
        return $this->startDate;
    }
    /**
     * Set startDate value
     * @param string $startDate
     * @return \StructType\ResetReceiveSmsVisitedStatus
     */
    public function setStartDate($startDate = null)
    {
        // validation for constraint: string
        if (!is_null($startDate) && !is_string($startDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($startDate, true), gettype($startDate)), __LINE__);
        }
        $this->startDate = $startDate;
        return $this;
    }
    /**
     * Get endDate value
     * @return string
     */
    public function getEndDate()
    {
        return $this->endDate;
    }
    /**
     * Set endDate value
     * @param string $endDate
     * @return \StructType\ResetReceiveSmsVisitedStatus
     */
    public function setEndDate($endDate = null)
    {
        // validation for constraint: string
        if (!is_null($endDate) && !is_string($endDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($endDate, true), gettype($endDate)), __LINE__);
        }
        $this->endDate = $endDate;
        return $this;
    }
    /**
     * Get security value
     * @return \StructType\AuthenticationModel|null
     */
    public function getSecurity()
    {
        return $this->security;
    }
    /**
     * Set security value
     * @param \StructType\AuthenticationModel $security
     * @return \StructType\ResetReceiveSmsVisitedStatus
     */
    public function setSecurity(\StructType\AuthenticationModel $security = null)
    {
        $this->security = $security;
        return $this;
    }
}
